<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>jQuery UI - Sample 02</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
    <script src="assets/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="assets/jquery-ui.min.css">
</head>

<body align="center">

    <select id="selectmenu">
        <option selected="selected">001</option>
        <option>002</option>
        <option>003</option>
        <option>004</option>
        <option>005</option>
    </select>
    <button id="btnAjax01" class="ui-button ui-widget ui-corner-all">Ajax</button>
    <hr>

    <h2 class="demoHeaders">Accordion</h2>
    <div id="accordion">
        <h3>First</h3>
        <div>Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet.</div>
        <h3>Second</h3>
        <div>Phasellus mattis tincidunt nibh.</div>
        <h3>Third</h3>
        <div>Nam dui erat, auctor a, dignissim quis.</div>
    </div>
    <br>
    <button id="btnAjax02" class="ui-button ui-widget ui-corner-all">Ajax</button>

    <script>
        $(function() {
            var $selectmenu = $("#selectmenu");
            var $accordion = $("#accordion");
            var $tabs = $("#tabs");

            $selectmenu.selectmenu();
            $accordion.accordion();
            $tabs.tabs();


            $("#btnAjax01").off("click").on("click", function() {
                var lstData = ["A", "B", "C", "D", "E"];
                $selectmenu.empty();
                $selectmenu.append('<option>請選擇</option>');
                $.each(lstData, function(index, value) {
                    $selectmenu.append('<option value="' + value + '">' + value + '</option>');
                });
                $selectmenu[0].selectedIndex = 0; //不知為何要加[0]
                $selectmenu.selectmenu("refresh", true);
            })

            $("#btnAjax02").off("click").on("click", function() {
                var lstData = [{
                        title: "001",
                        text: "A : Text"
                    },
                    {
                        title: "002",
                        text: "B : Text"
                    },
                    {
                        title: "003",
                        text: "C : Text"
                    },
                    {
                        title: "004",
                        text: "D : Text"
                    },
                    {
                        title: "005",
                        text: "E : Text"
                    }
                ]
                $accordion.empty();
                $.each(lstData, function(index, value) {
                    $accordion.append("<h3>" + value.title + "</h3>");
                    $accordion.append("<div>" + value.text + "</div>");
                });
                $accordion.accordion("refresh");
            })
        });
    </script>
</body></html>
